Skip to main content
GET
GeoFRED Regional Data

请求规范

  • 方法与路径: GET /apis/v1/geofred/regional/data
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/geofred/regional/data
  • aggregation_method: query; 可选
  • date: query; 必填
  • file_type: query; 可选
  • frequency: query; 必填
  • region_type: query; 必填
  • season: query; 必填
  • series_group: query; 必填
  • start_date: query; 可选
  • transformation: query; 可选
  • units: query; 必填
  • Runtime 事实版本: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

公开参考价格:每次成功请求 $0.00001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 1e-05
  • 计费依据: fixed_success
  • 结算证据来源: request_snapshot

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

aggregation_method
enum<string>
默认值:avg

string, optional, default: avg One of the following values: 'avg', 'sum', 'eop' avg = Average sum = Sum eop = End of Period avg = Average sum = Sum eop = End of Period

可用选项:
avg,
sum,
eop
date
string<date>
必填

The date you want to pull a series group data from. YYYY-MM-DD formatted string, required

file_type
enum<string>
默认值:xml

A key or file extension that indicates the type of file to send. One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json.

可用选项:
xml,
json
frequency
enum<string>
必填

Frequency automatically assigns the default frequency of the map when using the Request Wizard above. The parameter can be used as a frequency aggregation feature. The maps frequency aggregation feature converts higher frequency data series into lower frequency data series (e.g. converts a monthly data series into an annual data series). In maps, the highest frequency data is daily, and the lowest frequency data is annual. There are 3 aggregation methods available- average, sum, and end of period. See the aggregation_method parameter. string One of the following values: 'd', 'w', 'bw', 'm', 'q', 'sa', 'a', 'wef', 'weth', 'wew', 'wetu', 'wem', 'wesu', 'wesa', 'bwew', 'bwem' Frequencies without period descriptions: d = Daily w = Weekly bw = Biweekly m = Monthly q = Quarterly sa = Semiannual a = Annual Frequencies with period descriptions: wef = Weekly, Ending Friday weth = Weekly, Ending Thursday wew = Weekly, Ending Wednesday wetu = Weekly, Ending Tuesday wem = Weekly, Ending Monday wesu = Weekly, Ending Sunday wesa = Weekly, Ending Saturday bwew = Biweekly, Ending Wednesday bwem = Biweekly, Ending Monday d = Daily w = Weekly bw = Biweekly m = Monthly q = Quarterly sa = Semiannual a = Annual wef = Weekly, Ending Friday weth = Weekly, Ending Thursday wew = Weekly, Ending Wednesday wetu = Weekly, Ending Tuesday wem = Weekly, Ending Monday wesu = Weekly, Ending Sunday wesa = Weekly, Ending Saturday bwew = Biweekly, Ending Wednesday bwem = Biweekly, Ending Monday

可用选项:
d,
w,
bw,
m,
q,
sa,
a,
wef,
weth,
wew,
wetu,
wem,
wesu,
wesa,
bwew,
bwem
region_type
enum<string>
必填

The region you want to pull data for. string, required One of the following values: bea msa frb necta state country county censusregion bea msa frb necta state country county censusregion

可用选项:
bea,
msa,
frb,
necta,
state,
country,
county,
censusregion
season
string
必填

The seasonality of the series group. string, required, five possible SA (Seasonally Adjusted), NSA (Not Seasonally Adjusted), SSA (Smoothed Seasonally Adjusted), SAAR (Seasonally Adjusted Annual Rate), or NSAAR (Not Seasonally Adjusted Annual Rate)

series_group
string
必填

The ID for a group of series found in FRED. string, required

start_date
string<date>

The start date you want to request series group data from. This allows you to pull a range of data YYYY-MM-DD formatted string, optional

transformation
enum<string>
默认值:lin

A key that indicates a data value transformation. string, optional, default: lin (No transformation) One of the following values: 'lin', 'chg', 'ch1', 'pch', 'pc1', 'pca', 'cch', 'cca', 'log' lin = Levels (No transformation) chg = Change ch1 = Change from Year Ago pch = Percent Change pc1 = Percent Change from Year Ago pca = Compounded Annual Rate of Change cch = Continuously Compounded Rate of Change cca = Continuously Compounded Annual Rate of Change log = Natural Log lin = Levels (No transformation) chg = Change ch1 = Change from Year Ago pch = Percent Change pc1 = Percent Change from Year Ago pca = Compounded Annual Rate of Change cch = Continuously Compounded Rate of Change cca = Continuously Compounded Annual Rate of Change log = Natural Log For unit transformation formulas, see: https://alfred.stlouisfed.org/help#growth_formulas

可用选项:
lin,
chg,
ch1,
pch,
pc1,
pca,
cch,
cca,
log
units
string
必填

The units of the series you want to pull. string, required

响应

成功响应